bm::distance_metric_descriptor Struct Reference

Distance metric descriptor, holds metric code and result. More...

`#include <bmalgo_impl.h>`

## Public Types

typedef bm::id_t | size_type

## Public Member Functions

| distance_metric_descriptor (distance_metric m) BMNOEXCEPT
| distance_metric_descriptor () BMNOEXCEPT
void | reset () BMNOEXCEPT
| Sets metric result to 0.

## Data Fields

distance_metric | metric
size_type | result

## Detailed Description

Distance metric descriptor, holds metric code and result.

See also
  distance_operation

Examples
  sample9.cpp.

Definition at line 86 of file bmalgo_impl.h.

## Member Typedef Documentation

## size_type

typedef bm::id_t bm::distance_metric_descriptor::size_type

Definition at line 91 of file bmalgo_impl.h.

## Constructor & Destructor Documentation

## distance_metric_descriptor() [1/2]

bm::distance_metric_descriptor::distance_metric_descriptor | ( | distance_metric | m | ) |

inline

Definition at line 97 of file bmalgo_impl.h.

References BMNOEXCEPT.

## distance_metric_descriptor() [2/2]

bm::distance_metric_descriptor::distance_metric_descriptor | ( |  | ) |

inline

Definition at line 101 of file bmalgo_impl.h.

References BMNOEXCEPT, bm::COUNT_XOR, metric, and result.

## Member Function Documentation

## reset()

void bm::distance_metric_descriptor::reset | ( |  | ) |

inline

Sets metric result to 0.

Definition at line 109 of file bmalgo_impl.h.

References BMNOEXCEPT, and result.

## Field Documentation

## metric

distance_metric bm::distance_metric_descriptor::metric

Examples
  sample9.cpp.

Definition at line 94 of file bmalgo_impl.h.

Referenced by bm::build_jaccard_similarity_batch(), bm::combine_any_operation_with_block(), bm::combine_count_operation_with_block(), distance_metric_descriptor(), and main().

## result

size_type bm::distance_metric_descriptor::result

Definition at line 95 of file bmalgo_impl.h.

Referenced by bm::any_and(), bm::any_or(), bm::any_sub(), bm::any_xor(), bm::combine_any_operation_with_block(), bm::combine_any_operation_with_block(), bm::combine_count_operation_with_block(), bm::combine_count_operation_with_block(), bm::count_or(), bm::count_sub(), bm::count_xor(), distance_metric_descriptor(), bm::distance_operation_any(), and reset().

The documentation for this struct was generated from the following file:

- bmalgo_impl.h